Bug 525472 - Asterisk doesn't load sip channel
Summary: Asterisk doesn't load sip channel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: asterisk
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 14:11 UTC by javi.ayllon
Modified: 2014-09-08 11:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:47:54 UTC


Attachments (Terms of Use)

Description javi.ayllon 2009-09-24 14:11:50 UTC
Description of problem:
After yum install a get the package
asterisk-1.6.1-0.23.rc1.fc11.x86_64
inmediatle after I start service with
service start asterisk
in /var/log/asterisk I cant find any errors
but sip channel is not loaded.
/etc/sysconfig/asterisk shows asterisk as the user
asterisk should run as.
If I change to root (may be insecure option)
and change owner to root /var/log/asterisk and
/var/run/asterisk
and restart asterisk sip channel is loaded.

Version-Release number of selected component (if applicable):
asterisk-1.6.1-0.23.rc1.fc11.x86_64

How reproducible:
Fresh install fedora 11 and then
install asterisk with fedora and updates repos configured.


Steps to Reproduce:
1.Install fedora 11 and yum -y update
2.yum install asterisk
3.service asterisk start
4.asterisk -r  (connects to asterisk)
5.sip show peers
(shows error, sip, no valid command)

  
Actual results:
sip channel is not loaded

Expected results:
sip channel is loaded

Additional info:

Comment 1 Jeffrey C. Ollie 2009-09-24 15:05:14 UTC
Please update to the latest Asterisk that is in updates-testing:

https://admin.fedoraproject.org/updates/F11/FEDORA-2009-9405

Comment 2 javi.ayllon 2009-09-24 17:00:17 UTC
Hi Jeffery, I've installed the updates you pointed but the problem persists.

Comment 3 Jeffrey C. Ollie 2009-10-09 13:26:49 UTC
There's another update coming, please try it out:

https://admin.fedoraproject.org/updates/asterisk-1.6.1.7-0.1.rc2.fc11

Comment 4 Jeffrey C. Ollie 2009-11-02 19:20:51 UTC
Asterisk 1.6.1.8 should be available now, also try changing the "messages" line in logger.conf to:

messages => notice,warning,error,debug,verbose

and see if any error messages show up.

Comment 5 Bug Zapper 2010-04-28 10:33:22 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-06-28 14:47:54 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 javi.ayllon 2014-09-08 11:31:19 UTC
the bug was solved in later versions.


Note You need to log in before you can comment on or make changes to this bug.